#include QMK_KEYBOARD_H
#include "keymap_german.h"

const uint16_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {
    /*
     * ┌───┬───┬───┬───┐
     * │ 7 │ 8 │ 9 │ + │
     * ├───┼───┼───┼───┤
     * │ 4 │ 5 │ 6 │ - │
     * ├───┼───┼───┼───┤
     * │ 1 │ 2 │ 3 │ * │
     * ├───┼───┼───┼───┤
     * │ 0 │ . │Ent│ / │
     * └───┴───┴───┴───┘
     */
    [0] = LAYOUT_numpad_4x4(XXXXXXX, XXXXXXX, XXXXXXX, DE_U, RGB_TOG, RGB_M_R, RGB_M_B, RGB_M_SW, RGB_M_T, RGB_M_X, RGB_M_G, RGB_M_SN, KC_1, KC_2, KC_3, DE_ASTR, KC_0, KC_DOT, KC_ENT, DE_SLSH)};

bool encoder_update_user(uint8_t index, bool clockwise) {
    if (clockwise) {
        tap_code_delay(KC_VOLU, 10);
    } else {
        tap_code_delay(KC_VOLD, 10);
    }
    return false;
}
